CKEDITOR.editorConfig = function (config) {
    config.filebrowserBrowseUrl = "/admin/ckeditor/attachment_files";
    config.filebrowserFlashBrowseUrl = "/admin/ckeditor/attachment_files";
    config.filebrowserFlashUploadUrl = "/admin/ckeditor/attachment_files";
    config.filebrowserImageBrowseLinkUrl = "/admin/ckeditor/pictures";
    config.filebrowserImageBrowseUrl = "/admin/ckeditor/pictures";
    config.filebrowserImageUploadUrl = "/admin/ckeditor/pictures";
    config.filebrowserUploadUrl = "/admin/ckeditor/attachment_files";
    //read more here: http://docs.ckeditor.com/#!/api/CKEDITOR.config

    config.extraPlugins = 'toolbarswitch,apply';
    config.removePlugins = 'about,a11yhelp,dialogadvtab,templates,newpage,pagebreak,wsc,forms';

    config.toolbar_minToolbar =
        [
            {name: 'document', items: ['Apply', 'Cancel']},
            {name: 'basicstyles', items: ['Bold', 'Italic']},
            //{name: 'links', items: ['Link', 'Unlink']},
            {name: 'paragraph', items: ['JustifyLeft', 'JustifyCenter', 'JustifyRight', 'JustifyBlock']},
            {name: 'tools', items: ['Toolbarswitch']}
        ];

    config.toolbar_maxToolbar =
        [
            {name: 'document', items: ['Source', '-', 'Apply', 'Cancel']},
            {
                name: 'clipboard',
                groups: ['clipboard', 'undo'],
                items: ['Cut', 'Copy', 'Paste', 'PasteText', 'PasteFromWord', '-', 'Undo', 'Redo']
            },
            {
                name: 'editing',
                groups: ['find', 'selection', 'spellchecker'],
                items: ['Find', 'Replace', '-', 'SelectAll', '-', 'Scayt']
            },
            {name: 'insert', items: ['Image', 'Flash', 'Table', 'HorizontalRule', 'SpecialChar', 'Smiley', 'Iframe']},
            {name: 'links', items: ['Link', 'Unlink', 'Anchor']},
            '/',
            {name: 'styles', items: ['Styles', 'Format', 'Font', 'FontSize']},
            {
                name: 'basicstyles',
                groups: ['basicstyles', 'cleanup'],
                items: ['Bold', 'Italic', 'Underline', 'Strike', 'Subscript', 'Superscript', '-', 'RemoveFormat']
            },
            {name: 'colors', items: ['TextColor', 'BGColor']},
            {
                name: 'paragraph',
                groups: ['list', 'indent', 'blocks', 'align', 'bidi'],
                items: ['NumberedList', 'BulletedList', '-', 'Outdent', 'Indent', '-', 'Blockquote', 'CreateDiv', '-', 'JustifyLeft', 'JustifyCenter', 'JustifyRight', 'JustifyBlock', '-', 'BidiLtr', 'BidiRtl']
            },
            {name: 'tools', items: ['ShowBlocks', 'Toolbarswitch']}
        ];

    config.toolbar = 'minToolbar';
    config.smallToolbar = 'minToolbar';
    config.maximizedToolbar = 'maxToolbar';
    config.allowedContent = true;

    return true;
};
